import LoginForm from './components/login-form';
import { Card, CardContent, CardDescription, CardHeader, CardTitle } from "@/components/ui/card";
import { AppLogo } from '@/components/core/AppLogo';
import Link from "next/link";

export default function LoginPage() {
  return (
    <div className="relative flex min-h-screen flex-col items-center justify-center">
        <Card className="w-full max-w-md shadow-2xl">
            <CardHeader className="text-center">
                <div className="mx-auto mb-6 w-fit">
                    <AppLogo />
                </div>
                <CardTitle className="text-3xl font-bold tracking-tight font-headline">Welcome Back</CardTitle>
                <CardDescription>Sign in to access your VividCDN account.</CardDescription>
            </CardHeader>
            <CardContent>
                <LoginForm />
            </CardContent>
        </Card>
        <footer className="absolute bottom-4 left-0 right-0 text-center text-sm text-muted-foreground">
            <Link href="https://weexnes.dev/privacy" className="hover:underline" target="_blank">
                Privacy Policy
            </Link>
            <span className="mx-2">·</span>
            <Link href="https://weexnes.dev/legal" className="hover:underline" target="_blank">
                Legal
            </Link>
        </footer>
    </div>
  );
}
